Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/bionic64"
  config.vm.provision "shell", path: 'bootstrap.sh'

  config.vm.provider "virtualbox" do |v|
    v.memory = 2048
    v.cpus = 2
  end

  config.vm.define "master" do |app|
    app.vm.hostname = "master"
    app.vm.network "private_network", ip: '192.168.50.10'
    app.vm.provider "virtualbox" do |v|
      v.name = "kube-master"
    end
  end

  config.vm.define "worker1" do |app|
    app.vm.hostname = "worker1"
    app.vm.network "private_network", ip: '192.168.50.11'
    app.vm.provider "virtualbox" do |v|
      v.name = "kube-worker"
    end
  end
  
end
